import './index.css'

import messages from '@intlify/vite-plugin-vue-i18n/messages'
import { registerSW } from 'virtual:pwa-register'
import { createApp } from 'vue'
import { createI18n } from 'vue-i18n'

import App from '@/App.vue'
import router from '@/router'

const i18n = createI18n({
  legacy: false,
  locale: 'fr',
  fallbackLocale: 'en',
  messages,
})

registerSW({
  onOfflineReady() {
    // showToast('Ce jeu peut être installé<br>pour fonctionner hors-ligne.', 2000)
  },
})

const app = createApp(App)

app.use(router)
app.use(i18n)

app.mount('#app')
